revliskciuq MYPI

revliskciuq
접속 : 2487   Lv. 43

Category

Profile

Counter

  • 오늘 : 3 명
  • 전체 : 463246 명
  • Mypi Ver. 0.3.1 β
[잡담] 아이폰 앱 개발자분 있으시면 질문좀.. (19) 2018/12/07 AM 12:59

제가 맥은 아예 일자무식입니다. 아이폰 빌드용으로 쓰려고 하는데 2010 맥미니 el capitan 설치되어 있는거 중고로 사도 상관 없을까요? 구버전 os로도 xcode로 빌드해서 아이폰으로 돌리게 가능 한가요?

수정: 현재 어플 자체는 크로스플랫폼 게임 프레임워크로 만들고 있습니다.

신고

 

LOVEFIST    친구신청

개발자는 아닙니다만 OS는 최신으로 무료업글 가능합니다. 엑스코드도 같이요.
2010이면 사양이 샌디브릿지도 나오기 전 같은데.. SSD도 안달려있으면 답답해서 쓰기 힘드실듯.

revliskciuq    친구신청

감사합니다. 지금컴도 ssd없어서 익숙할 지도 모르겠네요 ㅡㅡ;;

엘다렌    친구신청

ssd / cpu core 중요합니다. 빌드 해놓고 밥먹으러 가야 할 수 도 있습니다.

revliskciuq    친구신청

일단 되기만 하면 만족하려구요..

토끼유    친구신청

2010이면 하이시에라까진 올라가니 xcode10을 쓸수는 있습니다.
코어2듀오 시절 모델이라 엄청 느릴테니 감수하신다면 가능은 해요.
다만 그래도 매버릭스까지 올라가는걸로 사시는게 좋겠죠?
맥미니는 역시 2012 late 입니다.

revliskciuq    친구신청

아 그렇군요. 자세한 정보 감사합니다 ㅎ

토끼유    친구신청

아..근데 생각해보니 최신버전은 매버릭스가 아니고 모하비네요 ㅠㅠ

당근천국    친구신청

저는 자마린으로 만들어서 빌드는 윈도우에서 돌아가고 인증서만 맥에서 가지고 오기때문에 사양상관없다고 생각하고 맥미니 싼걸로 샀다가 에뮬래이터가 너무 느려서 반품하고 맥북구했습니다.
개인적으로 추천은 맥미니 2012형 랩업그레이드 되있는거 중고로 추천합니다.
올해초에 중고가가 30만원대였던걸로 기억이..

revliskciuq    친구신청

아이폰은 안드로이드처럼 직접 디바이스를 컴에 연결해서 디버깅이 불가능한가보죠? 2012형을 많이 추천해 주시는 군요.. 감사합니다.

파디오    친구신청

불가능합니다 최신 os꼭 필요하게 시스템 만들어놓았습니다. 제가 맥미니2010 준다는거xcode 최신버전 사용불가로 포기를 ㅜㅜ

revliskciuq    친구신청

억... 결국 2012를 가야 잠깐이라도 가능하다는 말이군요..

파디오    친구신청

최신os지원하는 맥북이든 맥에어든 하나만있으시면되긴합니다. 하나더 x디스플레이 지원하도록 공지도 내려온 상태니 거의 최신 os는 필수입니다

revliskciuq    친구신청

일단 조금이라도 저렴이로 하려다보니.. 맥북 신품으로 갈까 하다가도 미지의 영역이라서 많이 망설여 지네요..

파디오    친구신청

제가 하나더 후회중인게올해 2017년 맥북프로 산거 ㅜㅜ 이가격으로 맥미니 최신거 풀업가격 ㅜㅜ

revliskciuq    친구신청

근데 포터블 기기는 어쩔 수 없어요. 저도 랩탑 하나 마련하려고 합니다. 배터리 최우선으로..

limit    친구신청

저도 개발은 아니지만
1 구버전으로는 스토어에 등록을 못하는 것으로 알고있습니다.
2 빌드 느린것도 느린거지만 OS랑 xcode가 점점 무거워 지고 있습니다
3 직접연결 디버깅 가능합니다. 다만 연결해야하는 기기는 등록된 기기만 할수 있는걸로 알고있어요
참고로 OS랑 Xcode는 무료지만 등록하려면 멤버쉽따라 이용이 나누어져 있습니다.
자세한 멤버쉽은 https://developer.apple.com/kr/support/compare-memberships/ 여기서.

revliskciuq    친구신청

그렇군요. 자세한 답변 감사합니다.

steven.pixui    친구신청

어떤 크로스플랫폼 쓰시는지는 모르겠습니다만,
현재 OS를 따라서 올리시려는 iOS의 버전이 결정됩니다.
xcode 버전에 영향을 받기 때문이죠~
하이시에라를 쓰신다면, iOS 11까지 지원하는 앱을 빌드하실수있을꺼에요~
따라서 테스트하시는 폰이 iOS 11이시면 개발 가능합니다. ( 앱스토어에 올리는 것도 가능합니다. )
(애플 사용자들 특성상, os 업데이트는 거즘 최신으로 유지하는 경향이 있지요??)

revliskciuq    친구신청

그렇군요... 애매하네요. 역시 맥북을 샀어야 하나 싶지만 이미 그램을 질러서 ㅡㅡ;; 감사합니다.
X